| XMP Toolkit SDK 6.0.0

Public Member Functions | Public Attributes | List of all members
XMP_PacketInfo Struct Reference

XMP packet description. More...

`#include <XMP_Const.h>`

## Public Member Functions
| XMP_PacketInfo ()
| Default constructor. More...

## Public Attributes
XMP_Int64 | offset
| Packet offset in the file in bytes, -1 if unknown. More...
XMP_Int32 | length
| Packet length in the file in bytes, -1 if unknown. More...
XMP_Int32 | padSize
| Packet padding size in bytes, zero if unknown. More...
XMP_Uns8 | charForm
| Character format using the values `kXMP_Char8Bit`, `kXMP_Char16BitBig`, etc. More...
XMP_Bool | writeable
| True if there is a packet wrapper and the trailer says writeable by dumb packet scanners. More...
XMP_Bool | hasWrapper
| True if there is a packet wrapper, the "<?xpacket...>" XML processing instructions. More...
XMP_Uns8 | pad
| Padding to make the struct's size be a multiple 4. More...

## Detailed Description

XMP packet description.

Definition at line 1081 of file XMP_Const.h.

## Constructor & Destructor Documentation

## ◆ XMP_PacketInfo()

XMP_PacketInfo::XMP_PacketInfo | ( |  | ) |
| inline

Default constructor.

Definition at line 1101 of file XMP_Const.h.

1101 : offset(kXMPFiles_UnknownOffset), length(kXMPFiles_UnknownLength),
1102 padSize(0), charForm(0), writeable(0), hasWrapper(0), pad(0) {};

## Member Data Documentation

## ◆ charForm

XMP_Uns8 XMP_PacketInfo::charForm

Character format using the values `kXMP_Char8Bit`, `kXMP_Char16BitBig`, etc.

Definition at line 1091 of file XMP_Const.h.

## ◆ hasWrapper

XMP_Bool XMP_PacketInfo::hasWrapper

True if there is a packet wrapper, the "<?xpacket...>" XML processing instructions.

Definition at line 1095 of file XMP_Const.h.

## ◆ length

XMP_Int32 XMP_PacketInfo::length

Packet length in the file in bytes, -1 if unknown.

Definition at line 1086 of file XMP_Const.h.

## ◆ offset

XMP_Int64 XMP_PacketInfo::offset

Packet offset in the file in bytes, -1 if unknown.

Definition at line 1084 of file XMP_Const.h.

## ◆ pad

XMP_Uns8 XMP_PacketInfo::pad

Padding to make the struct's size be a multiple 4.

Definition at line 1098 of file XMP_Const.h.

## ◆ padSize

XMP_Int32 XMP_PacketInfo::padSize

Packet padding size in bytes, zero if unknown.

Definition at line 1088 of file XMP_Const.h.

## ◆ writeable

XMP_Bool XMP_PacketInfo::writeable

True if there is a packet wrapper and the trailer says writeable by dumb packet scanners.

Definition at line 1093 of file XMP_Const.h.

The documentation for this struct was generated from the following file:

- public/include/XMP_Const.h

kXMPFiles_UnknownLength
#define kXMPFiles_UnknownLength
Constant for an unknown packet length within a file.
Definition: XMP_Const.h:1078
XMP_PacketInfo::padSize
XMP_Int32 padSize
Packet padding size in bytes, zero if unknown.
Definition: XMP_Const.h:1088
XMP_PacketInfo::charForm
XMP_Uns8 charForm
Character format using the values kXMP_Char8Bit, kXMP_Char16BitBig, etc.
Definition: XMP_Const.h:1091
kXMPFiles_UnknownOffset
#define kXMPFiles_UnknownOffset
Constant for an unknown packet offset within a file.
Definition: XMP_Const.h:1074
XMP_PacketInfo::offset
XMP_Int64 offset
Packet offset in the file in bytes, -1 if unknown.
Definition: XMP_Const.h:1084
XMP_PacketInfo::pad
XMP_Uns8 pad
Padding to make the struct's size be a multiple 4.
Definition: XMP_Const.h:1098
XMP_PacketInfo::writeable
XMP_Bool writeable
True if there is a packet wrapper and the trailer says writeable by dumb packet scanners.
Definition: XMP_Const.h:1093
XMP_PacketInfo::length
XMP_Int32 length
Packet length in the file in bytes, -1 if unknown.
Definition: XMP_Const.h:1086
XMP_PacketInfo::hasWrapper
XMP_Bool hasWrapper
True if there is a packet wrapper, the "<?xpacket...>" XML processing instructions.
Definition: XMP_Const.h:1095